Redmine - Defect #19272

Internal error if | try to go to settings of a project-Reg
2015-03-04 19:45 - Sabarish Subramanian

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 2.6.1
Description

Hi,

We were using bitnami redmine stack 2.6.1.We have now created our own redmine from scratch from ubuntu redmine package and
migrated DB from bitnami stack redmine.Now we face the following issues:
If 1 go to settings page of the project , | get this following error.Kindly help us out.

Started GET "/redmine/projects/test/settings" f
Processing by ProjectsController#settings as HTML
Parameters: {"id"=>"test"}

Current user: redmine (id=1)

Rendered projects/_form.html.erb (13.4ms)

Rendered projects/_edit.html.erb (15.3ms)

Rendered projects/settings/_modules.html.erb (3.4ms)
Rendered projects/settings/_members.html.erb (75.6ms)
Rendered common/_tabs.html.erb (98.5ms)

Rendered projects/settings.html.erb within layouts/base (99.0ms)
Completed 500 Internal Server Errorin 112.7ms

ActionView::Template::Error (The single-table inheritance mechanism failed to locate the subclass: 'GroupNonMember'. This error is
raised because the column 'type' is reserved for storing the class in case of inheritance. Please rename this column if you didn't
intend it to be used for storing the inheritance class or overwrite Principal.inheritance_column to use another column for that
information.):

74: </p>

75: <%= javascript_tag "observeSearchfield('principal_search’, null, '#{ escape_javascript

autocomplete_project._ memberships_path(Herve Harster, :format => 'js') }')" >

76: <div id="principals_for_new_member">

77: <= render_principals_for_new_members(Herve Harster) >
78: </div>

79: <p>

80: <= I(:label_role_plural) %>:

app/helpers/members_helper.rb:25:in “render_principals_for_new_members'
app/views/projects/settings/_members.html.erb:77:in "block in app_views_projects_settings

_members_html_erb_ 4106070888830057281_69991626482940'

app/views/projects/settings/_members.html.erb:66:in

'_app_views_projects_settings__members_html_erb__ 4106070888830057281_69991626482940'
app/views/common/_tabs.html.erb:24:in "block in app_views common_tabs_html_erb__ 2021980007939450826_56020620"'
app/views/common/_tabs.html.erb:23:in “each’

app/views/common/_tabs.html.erb:23:in *_app_views_common__tabs_html_erb__ 2021980007939450826_56020620'
app/helpers/application_helper.rb:272:in “render_tabs'

app/views/projects/settings.html.erb:3:in *_app_views_projects_settings_html_erb_ 345123016877819471_55981600'

Related issues:
Is duplicate of Redmine - Defect #18779: Error: The single-table inheritance ... Closed

History

#1 - 2015-03-05 03:23 - Toshi MARUYAMA
- Category deleted (Administration)
- Status changed from New to Closed

- Resolution set to Duplicate

2025-07-04 1/2



https://www.redmine.org/users/11497
https://www.redmine.org/users/11497

Duplicate of #18779.

#2 - 2015-03-05 03:27 - Toshi MARUYAMA

- Is duplicate of Defect #18779: Error: The single-table inheritance mechanism failed to locate the subclass: 'GroupNonMember' added
